KEYHSM_HOME_DIR=/usr/share/keytrustee-server-keyhsm
PROPERTIES=${KEYHSM_HOME_DIR}/application.properties
maxHeap=`grep "^keyhsm.jvm.heap.mx.gb" ${PROPERTIES} | awk -F= '{print $NF}' | tr -d '[:space:]'`
if [ -z "$maxHeap" ]; then
  maxHeap=2
fi
java -classpath "*:/usr/safenet/lunaclient/jsp/lib/*:/opt/nfast/java/classes/*:/opt/cloudhsm/java/*:/usr/share/keytrustee-server-keyhsm/conf/" -Djava.library.path=/usr/safenet/lunaclient/jsp/lib/:/opt/cloudhsm/lib/ -Dlogback.configurationFile=/usr/share/keytrustee-server-keyhsm/conf/logback.xml -Djdk.tls.trustNameService=true -Xms1g -Xmx${maxHeap}g com.cloudera.app.run.Program $@
